classes:
- service.git.client
- service.keystone.server.cluster
- service.python.environment
parameters:
  _param:
    keystone_service_token: token
    keystone_admin_password: password
    mysql_admin_user: root
    mysql_admin_password: password
    mysql_keystone_password: password
  mysql:
    server:
      database:
        keystone:
          encoding: utf8
          users:
          - name: keystone
            password: ${_param:mysql_keystone_password}
            host: '%'
            rights: all
          - name: keystone
            password: ${_param:mysql_keystone_password}
            host: localhost
            rights: all
  haproxy:
    proxy:
      listen:
        keystone_auth:
          type: general-service
          binds:
          - address: ${_param:cluster_vip_address}
            port: 5000
          servers:
          - name: ctl01
            host: ${_param:cluster_node01_address}
            port: 5000
            params: check
          - name: ctl02
            host: ${_param:cluster_node02_address}
            port: 5000
            params: check
          - name: ctl03
            host: ${_param:cluster_node03_address}
            port: 5000
            params: check
        keystone_admin:
          type: general-service
          binds:
          - address: ${_param:cluster_vip_address}
            port: 35357
          servers:
          - name: ctl01
            host: ${_param:cluster_node01_address}
            port: 35357
            params: check
          - name: ctl02
            host: ${_param:cluster_node02_address}
            port: 35357
            params: check
          - name: ctl03
            host: ${_param:cluster_node03_address}
            port: 35357
            params: check
